#include <stdio.h>
#include <math.h>
long long broj(long long x)
{
    if (x==0) return 0;
    else
    {
    long long k=log10(x);
    if ((5*pow(10,k))<=x)
            {
              x=x-5*pow(10,k);
              return 1+broj(x);
            }
            
    if ((2*pow(10,k))<=x)
            {
              x=x-2*pow(10,k);
              return 1+broj(x);
            }
    
    if ((1*pow(10,k))<=x)
            {
              x=x-1*pow(10,k);
              return 1+broj(x);
            }
            
    }
}

main()
{
    long long x;
    scanf("%d",&x);
    long long s=broj(x);
    printf("%lld",s);
}